import { useBlockProps, InnerBlocks } from "@wordpress/block-editor";
import FetchOpenAIResponse  from "./fetch"

function Save({ attributes }) {
  const { title, blockTitle, openaiAnswer } = attributes;

  return (
    // eslint-disable-next-line react/jsx-props-no-spreading
    <div {...useBlockProps.save()}>
      <div>
        <div>
          <h3>{blockTitle}</h3>
          <FetchOpenAIResponse question={title} answer={openaiAnswer} />
          <InnerBlocks.Content />
        </div>
      </div>
    </div>
  );
};

export default Save;